6 Replies Latest reply: May 28, 2013 4:31 PM by Jeff A Wright RSS

    Can't download with IE10, adobe says I need IE 4+

    fyfs2015

      Have a new Dell laptop, IE10. Bought Acrobat, went to download and screen says I need IE 4+. What is this?